Wii U on firmware 1.0.2 - should I update or not?

Discussion in 'Wii U - Hacking & Backup Loaders' started by Razor83, Aug 12, 2016.

  1. Razor83
    OP

    Razor83 GBAtemp Regular

    Member
    271
    73
    Dec 23, 2009
    So I just picked up a Wii U which is still on firmware 1.0.2! (I almost accidentally updated it during setup by entering my internet settings, but when I realised it was on 1.0.2 I quickly deleted them)

    Is it worth keeping this Wii U on 1.0.2, or should I update it? If I should update which firmware should I go to? (I read a while ago that 5.1.0 has an easier IOSU hack?)

    Also would a NAND dump from this console be useful? Or do devs already have everything of interest from the early production firmwares?

    Thanks in advance for any advice!
     


  2. proflayton123

    proflayton123 悲しみ

    Member
    5,613
    2,061
    Jan 11, 2016
    Japan
    日本
    Update to 5.2 imo
     
  3. cornerpath

    cornerpath GBAtemp Fan

    Member
    477
    233
    Dec 15, 2014
    United States
    Jackson, Ms
    Bro the W ii u modding is dead and boring man
     
  4. the_randomizer

    the_randomizer The Temp's official fox whisperer

    Member
    20,776
    9,778
    Apr 29, 2011
    United States
    Dr. Wahwee's castle
    Don't go past 5.3.2 or else you will lock yourself out of potential future exploits.

    SMH, debatable.
     
    Last edited by the_randomizer, Aug 12, 2016
    proflayton123 likes this.
  5. SomecallmeBerto

    SomecallmeBerto The Anti-Hero

    Member
    1,097
    655
    Dec 17, 2014
    United States
    USA
    This a joke topic? Anyways you can go to 5.5.1 as everything I know works.
     
  6. the_randomizer

    the_randomizer The Temp's official fox whisperer

    Member
    20,776
    9,778
    Apr 29, 2011
    United States
    Dr. Wahwee's castle
    IOSU exploit is only for 5.3.2 for the time being, many people including the main Wii U hackers have advised that 5.5.1 is not ideal or safe for future proof or future hacks, you can go to 5.3.2 and spoof 5.5.1.
     
  7. SomecallmeBerto

    SomecallmeBerto The Anti-Hero

    Member
    1,097
    655
    Dec 17, 2014
    United States
    USA
    Ah, I see thanks for the clarification.
     
  8. Razor83
    OP

    Razor83 GBAtemp Regular

    Member
    271
    73
    Dec 23, 2009
    Thanks for the advice everyone. I just remember reading that 5.1.0 had a potential IOSU exploit:-
    https://nwert.wordpress.com/2016/05/03/ioctlvhax/
    I dont know what became of that?

    Also, I read a thread a while ago about dumping NAND from early 3DS models, as they contained some tickets/titles for factory tools still present on the NAND.
    Would any tickets/titles be left on the Wii U NAND, or is the NAND 'wiped clean' after manufacturing?
     
    Last edited by Razor83, Aug 12, 2016
  9. 7Robins

    7Robins Bob is watching you.

    Member
    557
    256
    Jun 20, 2016
    United States
    Tennessee
    Where'd you get this information from?
     
  10. DKB

    DKB FUCK OFF

    Member
    1,233
    1,155
    May 29, 2015
    United States
    New York City, Manhattan
    People need to seriously spreading false information that 5.3.2 is the only firmware that is going to have IOSU Exploit.
     
  11. WulfyStylez

    WulfyStylez SALT/Bemani Princess

    Member
    1,149
    2,607
    Nov 3, 2013
    United States
    iosu hax work fine on 551. everyone should just update, especially since another update could come along later and patch the (now publicly disclosed) vulns before a release is even fully prepared.
     
    loco365 likes this.
  12. the_randomizer

    the_randomizer The Temp's official fox whisperer

    Member
    20,776
    9,778
    Apr 29, 2011
    United States
    Dr. Wahwee's castle
    http://gbatemp.net/threads/the-definitive-guide-to-wii-u-hacking.396828/

    "EXPLOITABLE FW: 3.0.0, 3.1.0, 4.0.0, 4.1.0, 5.0.0, 5.1.0, 5.3.2, 5.4.0, 5.5.0, 5.5.1"

    As far as the Wii U scene being "dead", that's debatable. Did people not say that beyond 5.3.2 was inadvisable? Why then is there the option to spoof firmware is 5.5.1 is so safe? I'm curious.
    Source? I don't remember really seeing that 5.3.2+ was truly safe for potential future hacks?

    Then again, I'm likely out of touch with the scene, I just remember them saying "don't update to 5.5.x" for the longest time, IDK .:unsure:
     
    Last edited by the_randomizer, Aug 12, 2016
  13. loco365

    loco365 GBAtemp Guru

    Member
    5,458
    2,673
    Sep 1, 2010
    I can also back this myself, talking with a reliable source. Update to 5.5.1 via the internet while you can.
     
  14. the_randomizer

    the_randomizer The Temp's official fox whisperer

    Member
    20,776
    9,778
    Apr 29, 2011
    United States
    Dr. Wahwee's castle
    Okay, so I was wrong, told you I haven't been following the scene at all. Can we still use the wiiubru self-hosted site that I have bookmarked? I mean, I'm already spoofed to 5.5.1, should I still do this? Where does it say we can safely update? Trying to find a thread. Not trying to be skeptical, but I'm just curious as to where this was posted, that's all.
     
    Last edited by the_randomizer, Aug 12, 2016
  15. NexoCube

    NexoCube stop using piracy :(

    Member
    1,184
    587
    Nov 3, 2015
    France
    Stack Pointer
    2.0.0 to 5.5.1

    - Userland (Public)
    - PowerPC Kernel (Public)
    - IOSU-Kernel (There's 3 of them, but isn't public)

    So update to 5.5.1 my friend :)
     
  16. the_randomizer

    the_randomizer The Temp's official fox whisperer

    Member
    20,776
    9,778
    Apr 29, 2011
    United States
    Dr. Wahwee's castle
    But why aren't these people able to cite where this information comes from? I'm trying to find out where this new originated and so far, no one has been able to tell or at least point me in the right direction, I don't want to update to 5.5.1 (not spoofed) and end up regretting it, so naturally, I'm a bit wary regrading doing so. I'm on spoofed 5.5.1 right now, could you point me to the origin of that info?
     
  17. Jay Clay

    Jay Clay GBAtemp Regular

    Member
    107
    43
    Jul 21, 2011
    so, is the IOSU even real?, I mean is even somebody working at it? let alone release it?, I have my wii U collecting dust since I played chronicles X, I have this questions because last I knew about wii U scene is that 5.3.2 is the best firmware to stay.
     
  18. the_randomizer

    the_randomizer The Temp's official fox whisperer

    Member
    20,776
    9,778
    Apr 29, 2011
    United States
    Dr. Wahwee's castle
    Apparently we're wrong about 5.3.2 being the one to stay on, trouble is I can't find any kind of posts that state that to the contrary, other than word of mouth; what this means is using TubeHax would be pretty much useless, no?
     
  19. NexoCube

    NexoCube stop using piracy :(

    Member
    1,184
    587
    Nov 3, 2015
    France
    Stack Pointer
    OFC the IOSU hacks are real ...

    The exploitable bug are here : http://wiiubrew.org/wiki/Exploits
    Then if you RE the firmware you can see that these bugs are existing, they have all been exploited yet, just not released :P
     
  20. the_randomizer

    the_randomizer The Temp's official fox whisperer

    Member
    20,776
    9,778
    Apr 29, 2011
    United States
    Dr. Wahwee's castle
    @NexoCube Maybe I need to repeat my question that I asked you earlier, where are people getting this info from? Where are people getting the whole "5.5.1 is safe for homebrew/hacks"? I can't find any information in the threads, and what this also means is that using Tubehax and the Nintendo server blacklist is moot, no? I really need to know where this information is posted.


    Maybe I'll make a thread.
     
    Last edited by the_randomizer, Aug 12, 2016